Get Transform Details
curl --request GET \
--url https://api.streamkap.com/transforms/details \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.streamkap.com/transforms/details"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.streamkap.com/transforms/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"metrics": {
"tasks": 123,
"latency": 123,
"status": "<string>",
"duration": 123,
"start_time": 123,
"end_time": "<string>",
"checkpoints": {
"job_id": "<string>",
"counts": {},
"summary": {},
"latest": {
"id": 123,
"status": "<string>",
"is_savepoint": true,
"trigger_timestamp": 123,
"latest_ack_timestamp": 123,
"state_size": 123,
"end_to_end_duration": 123,
"alignment_buffered": 123,
"num_subtasks": 123,
"num_acknowledged_subtasks": 123
},
"history": [],
"operator_breakdown": []
}
},
"config": [
{}
],
"id": "<string>",
"name": "<string>",
"sql_query": "<string>",
"topic": "<string>",
"topic_id": "<string>",
"topics": [
"<string>"
],
"topic_ids": [
"<string>"
]
}
],
"page": 1,
"page_size": 10,
"total": 123,
"has_next": true
}Transforms
Get Transform Details
GET
/
transforms
/
details
Get Transform Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Was this page helpful?
⌘I